忽略編譯警告


有時候 我們使用的第三方庫會考慮到兼容問題, 而使用一些廢棄的api, 這樣在編譯的時候就會出現警告, 如果確認代碼沒問題, 可以加上-w的編譯參數, 使得這些文件不產生警告, 這里寫圖片描述

使用-w禁止掉所有的編譯警告, 使用-Wno-unused-variable只禁止掉未使用的變量的編譯警告


注意!

本站转载的文章为个人学习借鉴使用,本站对版权不负任何法律责任。如果侵犯了您的隐私权益,请联系我们删除。



 
  © 2014-2022 ITdaan.com 联系我们: